org.tmatesoft.svn.core

## Class SVNNodeKind

- java.lang.Object
- - org.tmatesoft.svn.core.SVNNodeKind

- All Implemented Interfaces:
    java.lang.Comparable

      public final class SVNNodeKind
      extends java.lang.Object
      implements java.lang.Comparable

  The SVNNodeKind class is used to describe the kind of a directory entry (node, in other words). This can be:
  - a directory - the node is a directory
  - a file - the node is a file
  - none - the node is missing (does not exist)
  - unknown - the node kind can not be recognized
  Since:
    1.2
  Version:
    1.3
  Author:
    TMate Software Ltd.
  See Also:
    `SVNDirEntry`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static SVNNodeKind` | `DIR` Defines the directory node kind
    `static SVNNodeKind` | `FILE` Defines the file node kind
    `static SVNNodeKind` | `NONE` This node kind is used to say that a node is missing
    `static SVNNodeKind` | `UNKNOWN` This node kind is used to say that the kind of a node is actually unknown

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(java.lang.Object o)` Compares this object with another one.
    `static SVNNodeKind` | `parseKind(java.lang.String kind)` Parses the passed string and finds out the node kind.
    `java.lang.String` | `toString()` Represents the current SVNNodeKind object as a string.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NONE

          public static final SVNNodeKind NONE

      This node kind is used to say that a node is missing

    - #### FILE

          public static final SVNNodeKind FILE

      Defines the file node kind

    - #### DIR

          public static final SVNNodeKind DIR

      Defines the directory node kind

    - #### UNKNOWN

          public static final SVNNodeKind UNKNOWN

      This node kind is used to say that the kind of a node is actually unknown

  - ### Method Detail

    - #### parseKind

          public static SVNNodeKind parseKind(java.lang.String kind)

      Parses the passed string and finds out the node kind. For instance, `parseKind("dir")` will return `DIR`.
      Parameters:
        `kind` - a node kind as a string
      Returns:
        an SVNNodeKind representation

    - #### toString

          public java.lang.String toString()

      Represents the current SVNNodeKind object as a string.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        a string representation of this object.

    - #### compareTo

          public int compareTo(java.lang.Object o)

      Compares this object with another one. Each SVNNodeKind constant has got its own unique id.
      Specified by:
        `compareTo` in interface `java.lang.Comparable`
      Parameters:
        `o` - an object to compare with
      Returns:
        - -1 - if `o` is either null, or is not an instance of SVNNodeKind, or the id of this object is smaller than the id of `o`;
        - 1 - if the id of this object is bigger than the id of `o`;
        - 0 - if and only if `o` is the same constant value as this one (has the same id)

Copyright © 2004-2009 TMate Software Ltd. All Rights Reserved.